package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 发布记录表
 */
@Data
public class ReleaseRecordDto {
    /**
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 情报板ID
     */
    @TableField(value = "board_id")
    private Integer boardId;

    /**
     * 预置信息ID
     */
    @TableField(value = "preset_content_id")
    private Integer presetContentId;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 创建人
     */
    @TableField(value = "created_by")
    private Integer createdBy;

    @TableField(value = "info_type")
    private Integer infoType;
}