package com.ruoyi.sensor.task;

import com.ruoyi.sensor.service.ISensorDataService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component("clearPerceptionTask")
public class ClearPerceptionTask {

    @Autowired
    private ISensorDataService sensorDataService;

    private static final Logger log = LoggerFactory.getLogger(ClearPerceptionTask.class);

    public void clearPerception(){
        sensorDataService.handlerPerceptionMap();
        log.info("handlerPerceptionMap 处理完了");
    }
}
