package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 发布日志记录
 */
@Data
@TableName(value = "pub_release_log")
public class ReleaseLog {
    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 操作人
     */
    @TableField(value = "`operator`")
    private String operator;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    private Date createTime;

    /**
     * 情报板ID
     */
    @TableField(value = "board_id")
    private Integer boardId;

    /**
     * 情报板名称
     */
    @TableField(value = "board_name")
    private String boardName;

    /**
     * 发布内容
     */
    @TableField(value = "release_content")
    private String releaseContent;
}