package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 路段分组
 */
@Data
@TableName(value = "pub_road_group")
public class RoadGroup {
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 路段名称
     */
    @TableField(value = "road_name")
    private String roadName;

    /**
     * 路段父id
     */
    @TableField(value = "parent_id")
    private Long parentId;

    @TableField(select = false)
    private List<RoadGroup> children = new ArrayList<>();
}